User Tools

Site Tools


mantisbt:plugins_overview

Differences

This shows you the differences between two versions of the page.

Link to this comparison view

Both sides previous revision Previous revision
Next revision
Previous revision
mantisbt:plugins_overview [2008/10/29 04:25]
127.0.0.1 (old revision restored)
mantisbt:plugins_overview [2011/12/30 10:35] (current)
tandler
Line 91: Line 91:
   * ''version'' - Your plugin's version string.  **Required value.**   * ''version'' - Your plugin's version string.  **Required value.**
   * ''requires'' - An array of key/value pairs of basename/version plugin dependencies.  Prefixing a version with '''<''' will allow your plugin to specify a maximum version (non-inclusive) for a dependency.   * ''requires'' - An array of key/value pairs of basename/version plugin dependencies.  Prefixing a version with '''<''' will allow your plugin to specify a maximum version (non-inclusive) for a dependency.
 +  * ''uses'' - Similar to 'requires', but soft dependencies; only fails if the soft dependency is registered, but not yet initialized
   * ''author'' - Your name, or an array of names.   * ''author'' - Your name, or an array of names.
   * ''contact'' - An email address where you can be contacted.   * ''contact'' - An email address where you can be contacted.
mantisbt/plugins_overview.1225268722.txt.gz ยท Last modified: 2011/12/30 10:35 (external edit)